> For the complete documentation index, see [llms.txt](https://docs.graphlit.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.graphlit.dev/api-guides/use-cases/collections/collection-create-and-manage.md).

# Create and Manage Collections

## User Intent

"How do I organize content into collections? Show me collection management."

## Operation

**SDK Method**: `createCollection()`, `addContentsToCollections()`\
**Use Case**: Content organization and grouping

***

## Code Example (TypeScript)

```typescript
import { Graphlit } from 'graphlit-client';
import { EntityReferenceInput } from 'graphlit-client/dist/generated/graphql-types';

const graphlit = new Graphlit();

// Create collection
const collection = await graphlit.createCollection({
  name: "Q4 Reports",
  description: "Financial reports for Q4 2024"
});

const collectionRef: EntityReferenceInput = {
  id: collection.createCollection.id,
};

// Add content to collection
await graphlit.addContentsToCollections(
  [
    { id: 'content-1' },
    { id: 'content-2' },
    { id: 'content-3' },
  ],
  [collectionRef]
);

// Query collection
const contents = await graphlit.queryContents({
  collections: [collectionRef]
});

console.log(`Collection has ${contents.contents.results.length} items`);
```

***

## Use Cases

**Project Organization**: Group project-related docs\
**Topic Collections**: Research papers by topic\
**Team Collections**: Department-specific content\
**Time-Based**: Monthly/quarterly collections

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.graphlit.dev/api-guides/use-cases/collections/collection-create-and-manage.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
